
QGIS Application - Bug report #11092

Saving vector layer with empty name might be forbidden

2014-08-25 01:32 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19425

Description

Open a project

Add a vector layer

Right-click > Save as

1/ choose output format as MID/MIF for e.g.. Don't choose output name nor directory and save. You got a successfull message bar. if u

had checked "add to map canvas", then you got a warning message bar concerning the incompatibility of the file format.

2/ Choose SHP for the file format and without filling a name, save. You get the same successfull message bar but if you had checked "add

to map canvas", QGIS crashes.

When saving a raster layer, the ok button is greyed till you fill the file name. This should be used for vector layer, too, I think.

Associated revisions

Revision acf1f70f - 2014-08-30 09:03 AM - Jürgen Fischer

Fix #11092:

    -  fix crash when invalid shapefile layer is repacked

    -  error out if vector file writer is invoke with an empty filename

    -  don't allow "Save as..." without a given filename

History

#1 - 2014-08-30 12:06 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"acf1f70f137f5bbb374479eaf81cb4aeebeae5d2".
